program mount;
uses
  krScramDisk,
  krSdStructures,
  SysUtils;

{$APPTYPE CONSOLE}

var
  doingfile:string;
  doingPartition:boolean;

begin
  doingfile:='';
  doingPartition:=false;
  if (Uppercase(paramstr(1)) = '/partition')and(paramcount=1) then
    doingPartition:=true;
  if fileexists(paramstr(1)) then
    doingfile:=paramstr(1);
  if ((DoingFile='')and(not(doingpartition))) then
  begin
    writeln('ScramDisk - Mount');
    writeln('');
    writeln('mount [filename] | [/partition]');
    writeln('');
    writeln('  [filename]   is the file to attempt to mount');
    writeln('  [/partition] to attempt to mount partitions');
    writeln('');
  end
  else
    with TkrScramDisk.Create(nil) do
      try
        Active:=True;
        if doingpartition then
          MountPartitions
        else
          MountContainer(doingfile);
        // UpdateSlotInfo;
      finally
        Free;
      end;
end.

